package ApiSet;

import java.io.*;
import java.util.*;

/* 
   Un insieme finito e' un tipo di dato strutturato, 'a set, della forma {x1,...,xn}, per 
   n>=0, a componenti xi omogenei e contenente al piu' un'occorrenza di uno stesso valore,
   i.e. xi=xj iff i=j. 
   I valori 'a set sono valori Mutable, sui quali possiamo operare mediante le sole opera-
   zioni introdotte in APISet<A>. In aggiunta, ogni ADT che implementi APISet<A> provvede-
   ra' a definire un costruttore per insiemi vuoti e il metodo toString per la presentazio-
   ne del valore rappresentato da this. Sia Set1<A> un ADT, gia' definito, per APISet<A>. 
   Si chiede di:
   (1) Mostrare la definizione di {\tt APISet<A>};
   (2) Estendere, in una nuova classe {\tt SetIS<A>}, con il metodo {\tt is}, i valori di 
   	   {\tt APISet<A>}, implementati in {\tt Set1}.\ Il metodo {\tt is}, applicato ad un 
   	   oggetto di tipo {\tt A}, calcola true se tale oggetto \`e contenuto in this. Calco-
   	   la false, altrimenti. \\
 	   Si fornisca la {\tt SetIS<A>} completando e compilando gli opportuni files nel List-
 	   ing allegato.
   (3) Si completi, compili ed esegua il file {\tt MainSet.java} con un caso di uso.
 */

public class SetIS<A> extends Set1<A>{
   // ...
    /*
      AF(c) = ... 
      I(c) = ...
    */
  // ...
}
